Library Version 18.1.40

DbEnv::get_mp_pagesize()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbEnv::get_mp_pagesize()

    #include <db_cxx.h>

    int
    DbEnv::get_mp_pagesize(u_int32_t *pagesizep);

The `DbEnv::get_mp_pagesize()` method returns the assumed page size used to configure the buffer pool.

The `DbEnv::get_mp_pagesize()` method may be called at any time during the life of the application.

### Parameters

#### pagesizep

This parameter specifies the assumed page size used to configure the buffer pool.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbEnv::set_mp_pagesize()

Prev | Up | Next
DbEnv::get_mp_mtxcount() | Home | DbEnv::get_mp_tablesize()